On Thu, 2011-09-29 at 15:22 +0100, Laurence Rowe wrote:
> On 29 September 2011 10:33, Chris McDonough <chr...@plope.com> wrote:
> > On Tue, 2011-09-27 at 12:40 -0400, Tres Seaver wrote:
> >> This bootstrap is from Jim's '2' branch of zc.buildout:
> >>
> >>  
> >> http://svn.zope.org/zc.buildout/branches/2/bootstrap/bootstrap.py?rev=121484&view=auto
> >>
> >> It is designed to work with Py3k.
> >
> > I've replaced the bootstrap.py in the chrism-py3 branch of both the
> > transaction package and the zope.sqlalchemy packages with that one, and
> > everything looks good!
> >
> > I think we can probably merge both of these branches to their respective
> > trunks and make releases.  I have the necessary powers to do it for
> > transaction; I'll try to track down elro to see if he's willing to do it
> > for zope.sqlalchemy.
> I've added chrism as an owner. Before we make a final release I'd like
> to revisit the savepoint release branches of transaction /
> zope.sqlalchemy. I'll bring this up in another mail.

Sorry I haven't merged the transaction stuff to trunk yet.

While doing a review, I realize that one downside to doing this merge is
that it will kill Python 2.4 and 2.5 compatibility.  I think this is a
reasonable thing, given that Python 2.5 will no longer get any
maintenance as of today or so, and Python 2.4 hasn't gotten any for a
long time, and folks who need a 2.4/2.5 compat version can always use an
older version.

That said, before I go ahead and do this merge, is there anyone who
believes we should continue to support 2.4 and 2.5 in the transaction
package?  If so, for how long?

- C

Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to